hello
if you are in expert mode ( => set debconf priority to low)
and answer 'no' to ethdetect/detection_type
=> you are unable to load modules with modprobe because no 'depmod -a' has been executed before.


i put a depmod -a at the beginning of the script

sylvain
Index: ethdetect.sh
===================================================================
RCS file: /cvsroot/d-i/debian-installer/tools/ddetect/ethdetect.sh,v
retrieving revision 1.26
diff -u -r1.26 ethdetect.sh
--- ethdetect.sh        9 Mar 2004 02:43:53 -0000       1.26
+++ ethdetect.sh        10 Mar 2004 22:13:42 -0000
@@ -4,6 +4,10 @@
 . /usr/share/debconf/confmodule
 #set -x
 
+if [ -x /sbin/depmod ]; then
+       depmod -a > /dev/null 2>&1 || true
+fi
+
 is_not_loaded() {
        ! (cut -d" " -f1 /proc/modules | grep -q "^$1\$")
 }

Reply via email to